package query

import (
	"fmt"
	"strings"
)

func tryGetFirst(s []string) string {
	if len(s) == 0 {
		return ""
	}
	return s[0]
}

func buildTitle(title, subtitle string) string {
	if subtitle != "" {
		return fmt.Sprintf("%s: %s", title, subtitle)
	}
	return title
}

func getLastName(author string) string {
	names := strings.Split(author, " ")
	if len(names) < 2 {
		return author
	}
	return names[len(names)-1]
}
